<?php
/**
* @version 1.0 
* @package CB Tab Wrapper
* @copyright (C) 2007 Mikko Rönkkö
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/
 
/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

require_once($mainframe->getCfg( 'absolute_path' ).'/administrator/components/com_comprofiler/plugin.class.php');
require_once($mainframe->getCfg( 'absolute_path' ).'/administrator/components/com_comprofiler/comprofiler.class.php');

class mod_cbtabwrapper extends cbTabs {


	function getDisplayTab($tab, $user, $ui) {

		global $mosConfig_live_site, $database, $ueConfig, $mosConfig_debug;

		$return='';
		
		if( $mosConfig_debug) $return="<H1>DEBUG</h1>";

		if($tab->pluginclass!=null) {
				global $_PLUGINS;
				$_PLUGINS->loadPluginGroup('user');
				if( $mosConfig_debug) echo("<br>Calling plugin: ".$tab->pluginclass);
				$return .= $this->_callTabPlugin($tab, $user, $tab->pluginclass, 'getDisplayTab', $tab->pluginid);
		}
		if($tab->fields) {
				if( $mosConfig_debug) echo("<br>Drawing fields");
				$return .= $this->_getViewTabContents($tab->tabid,$user);
		}
		return $return;
	}

						
}	// end class mod_cbtabwrapper.

//Copy some functions from comprofiler.php to make plugins which depend on these work 

function isModerator($oID){
  	global $ueConfig;
	if($oID && in_array(userGID($oID), getParentGIDS($ueConfig['imageApproverGid']))) return true;
	else return false;
}

function userGID($oID){
  	global $database,$ueConfig;
	if($oID > 0) {
	$query = "SELECT gid FROM #__users WHERE id = ".(int) $oID;
	$database->setQuery($query);
	$gid = $database->loadResult();
	return $gid;
	}
	else return 0;
}
?>